%define		pkgname	extlib
%define		ocaml_ver	1:3.09.2
Summary:	ExtLib for OCaml
Summary(pl.UTF-8):	ExtLib dla OCamla
Name:		ocaml-%{pkgname}
Version:	1.5.4
Release:	1
License:	LGPL + OCaml linking exception
Group:		Libraries
Source0:	http://ocaml-extlib.googlecode.com/files/%{pkgname}-%{version}.tar.gz
# Source0-md5:	329041625309b9e49051e5b097a9185d
URL:		http://code.google.com/p/ocaml-extlib/
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ExtLib is a project aiming at providing a complete - yet small -
standard library for the OCaml programming language. The purpose of
this library is to add new functions to OCaml Standard Library
modules, to modify some functions in order to get better performances
or more safety (tail-recursive) but also to provide new modules which
should be useful for the average OCaml programmer.

ExtLib is not directly related to OCaml authors (INRIA) although this
library can be seen as a proposal for inclusion in the official
distribution.

%description -l pl.UTF-8
ExtLib to projekt, którego celem jest dostarczenie kompletnej lecz
małej biblioteki standardowej dla języka programowania OCaml. Celem
tej biblioteki jest dodanie nowych funkcji do modułów biblioteki
standardowej OCamla, zmodyfikowanie niektórych funkcji w celu
uzyskania lepszej wydajności lub bezpieczeństwa, a także dodanie
nowych modułów, które powinny być przydatne dla przeciętnego
programisty OCamla.

ExtLib nie jest bezpośrednio związany z autorami OCamla (INRIA), ale
tę bibliotekę można traktować jako propozycję do włączenia do
oficjalnej dystrybucji.

%package devel
Summary:	ExtLib for OCaml - development part
Summary(pl.UTF-8):	ExtLib dla OCamla - część programistyczna
Group:		Development/Libraries
%requires_eq	ocaml

%description devel
ExtLib is a project aiming at providing a complete - yet small -
standard library for the OCaml programming language. The purpose of
this library is to add new functions to OCaml Standard Library
modules, to modify some functions in order to get better performances
or more safety (tail-recursive) but also to provide new modules which
should be useful for the average OCaml programmer.

ExtLib is not directly related to OCaml authors (INRIA) although this
library can be seen as a proposal for inclusion in the official
distribution.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl.UTF-8
ExtLib to projekt, którego celem jest dostarczenie kompletnej lecz
małej biblioteki standardowej dla języka programowania OCaml. Celem
tej biblioteki jest dodanie nowych funkcji do modułów biblioteki
standardowej OCamla, zmodyfikowanie niektórych funkcji w celu
uzyskania lepszej wydajności lub bezpieczeństwa, a także dodanie
nowych modułów, które powinny być przydatne dla przeciętnego
programisty OCamla.

ExtLib nie jest bezpośrednio związany z autorami OCamla (INRIA), ale
tę bibliotekę można traktować jako propozycję do włączenia do
oficjalnej dystrybucji.

Ten pakiet zawiera pliki potrzebne do tworzenia programów w OCamlu z
użyciem tej biblioteki.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__make} -j1 all opt \
	CC="%{__cc} %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/extlib

OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml %{__make} install

mv $RPM_BUILD_ROOT%{_libdir}/ocaml/extlib/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/extlib
echo 'directory = "+extlib"' \
	>> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/extlib/META
rm -f $RPM_BUILD_ROOT%{_libdir}/ocaml/extlib/*.mli

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc LICENSE *.mli README.txt
%dir %{_libdir}/ocaml/extlib
%{_libdir}/ocaml/extlib/*.cm[ixa]*
%{_libdir}/ocaml/extlib/*.a
%{_libdir}/ocaml/site-lib/extlib
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-extlib.git;a=log;h=master

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> 4bb906f
- up to 1.5.4

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> 12b5b3f
- rel 3

* Sat Apr 18 2009 areq <areq@pld-linux.org> 67dd32b
- make -j1

* Sat Apr 18 2009 areq <areq@pld-linux.org> 551e1b4
- 1.5.1

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 219eaa1
- release 4

* Mon Feb 04 2008 Elan Ruusamäe <glen@pld-linux.org> 5f4303d
- rel 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 9f8eb72
- rel 2

* Tue Nov 27 2007 Jan Rękorajski <baggins@pld-linux.org> 327c67e
- up to 1.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a12496f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 39a74cf
- converted to UTF-8

* Wed May 31 2006 Elan Ruusamäe <glen@pld-linux.org> dd13f24
- rel 5 (rebuild with ocaml-3.09.2)

* Sun Apr 16 2006 Elan Ruusamäe <glen@pld-linux.org> c0633d1
- ocaml epoch is 1

* Sat Apr 15 2006 Elan Ruusamäe <glen@pld-linux.org> 02c9611
- ocaml 3.09.1

* Fri Mar 10 2006 Jan Rękorajski <baggins@pld-linux.org> 5358e41
- release 2
- use findlib

* Sat Dec 10 2005 Jan Rękorajski <baggins@pld-linux.org> c5036a2
- rel 1

* Sat Dec 10 2005 Jan Rękorajski <baggins@pld-linux.org> a5c5889
- updated to 1.4

* Sat Dec 10 2005 Jan Rękorajski <baggins@pld-linux.org> ab3122d
- release 2 for ocaml 3.09.0

* Tue Dec 14 2004 Jakub Bogusz <qboosh@pld-linux.org> a9cf0fe
- fixed License (LGPL with OCaml linking exception)

* Tue Dec 14 2004 Jakub Bogusz <qboosh@pld-linux.org> b3a542d
- pl, cosmetics

* Mon Dec 13 2004 ankry <ankry@pld-linux.org> ae61114
- spaces -> tabs, caps unified, typos, formatting

